### Hierarchy

- Helpers

### Implements

- IHelpers

## Index

### Constructors

- constructor

### Properties

- letters

### Methods

- addEvent
- arrayDiff
- capitalizeFirstLetter
- cellRange
- clickEvent
- componentToHex
- convertTime
- createSlug
- formatNumber
- getCellsReference
- getContrastYIQ
- getNextValueInArray
- getRefIndex
- getScrollbarWidth
- getURLParameter
- getUuid
- isNumber
- isTarget
- isTouch
- isValidEmail
- openWindow
- parseDateExcel
- removeEvent
- rgbToHex
- safeTitle
- safeXmlChars
- sentenceCase
- serializeObject
- tableFromArray
- toColumnName
- validHex

## Constructors

### constructor

- new Helpers(): Helpers

- - Defined in Helpers.ts:45

  #### Returns Helpers

## Properties

### letters

letters: string = "ABCDEFGHIJKLMNOPQRSTUVWXYZ"

- Defined in Helpers.ts:45

## Methods

### addEvent

- addEvent(element: HTMLElement | Document | Window, eventName: string, func: any): void

- Implementation of IHelpers.addEvent

  - Defined in Helpers.ts:209

  #### Parameters

  - ##### element: HTMLElement | Document | Window

  - ##### eventName: string

  - ##### func: any

  #### Returns void

### arrayDiff

- arrayDiff(a1: any, a2: any): any

- Implementation of IHelpers.arrayDiff

  - Defined in Helpers.ts:459

  #### Parameters

  - ##### a1: any

  - ##### a2: any

  #### Returns any

### capitalizeFirstLetter

- capitalizeFirstLetter(str: string): string

- Implementation of IHelpers.capitalizeFirstLetter

  - Defined in Helpers.ts:219

  #### Parameters

  - ##### str: string

  #### Returns string

### cellRange

- cellRange(str: string, rows: number, cols: number): ICellRange

- Implementation of IHelpers.cellRange

  - Defined in Helpers.ts:120

  #### Parameters

  - ##### str: string

  - ##### rows: number

  - ##### cols: number

  #### Returns ICellRange

### clickEvent

- clickEvent(): string

- - Defined in Helpers.ts:242

  #### Returns string

### componentToHex

- componentToHex(c: any): string

- Implementation of IHelpers.componentToHex

  - Defined in Helpers.ts:204

  #### Parameters

  - ##### c: any

  #### Returns string

### convertTime

- convertTime(timestamp: any): string

- Implementation of IHelpers.convertTime

  - Defined in Helpers.ts:311

  #### Parameters

  - ##### timestamp: any

  #### Returns string

### createSlug

- createSlug(str: string): string

- Implementation of IHelpers.createSlug

  - Defined in Helpers.ts:260

  #### Parameters

  - ##### str: string

  #### Returns string

### formatNumber

- formatNumber(n: number, precision?: number): string

- - Defined in Helpers.ts:409

  #### Parameters

  - ##### n: number

  - ##### Default value precision: number = 2

  #### Returns string

### getCellsReference

- getCellsReference(from: IGridContentCellPosition, to: IGridContentCellPosition, headingSelected?: undefined | string): string

- Implementation of IHelpers.getCellsReference

  - Defined in Helpers.ts:344

  #### Parameters

  - ##### from: IGridContentCellPosition

  - ##### to: IGridContentCellPosition

  - ##### Optional headingSelected: undefined | string

  #### Returns string

### getContrastYIQ

- getContrastYIQ(hexcolor: string): string

- Implementation of IHelpers.getContrastYIQ

  - Defined in Helpers.ts:302

  #### Parameters

  - ##### hexcolor: string

  #### Returns string

### getNextValueInArray

- getNextValueInArray(value: string, arr: string[]): string

- - Defined in Helpers.ts:55

  #### Parameters

  - ##### value: string

  - ##### arr: string[]

  #### Returns string

### getRefIndex

- getRefIndex(str: string, obj?: undefined | false | true): any

- Implementation of IHelpers.getRefIndex

  - Defined in Helpers.ts:81

  #### Parameters

  - ##### str: string

  - ##### Optional obj: undefined | false | true

  #### Returns any

### getScrollbarWidth

- getScrollbarWidth(): number

- - Defined in Helpers.ts:264

  #### Returns number

### getURLParameter

- getURLParameter(name: string): string | null

- Implementation of IHelpers.getURLParameter

  - Defined in Helpers.ts:454

  #### Parameters

  - ##### name: string

  #### Returns string | null

### getUuid

- getUuid(): string

- Implementation of IHelpers.getUuid

  - Defined in Helpers.ts:51

  #### Returns string

### isNumber

- isNumber(value: any): boolean

- Implementation of IHelpers.isNumber

  - Defined in Helpers.ts:77

  #### Parameters

  - ##### value: any

  #### Returns boolean

### isTarget

- isTarget(target: any, element: any): any

- Implementation of IHelpers.isTarget

  - Defined in Helpers.ts:402

  #### Parameters

  - ##### target: any

  - ##### element: any

  #### Returns any

### isTouch

- isTouch(): boolean

- - Defined in Helpers.ts:238

  #### Returns boolean

### isValidEmail

- isValidEmail(str: string): boolean

- Implementation of IHelpers.isValidEmail

  - Defined in Helpers.ts:330

  #### Parameters

  - ##### str: string

  #### Returns boolean

### openWindow

- openWindow(link: string, target?: string, params?: object): Window | null

- - Defined in Helpers.ts:246

  #### Parameters

  - ##### link: string

  - ##### Default value target: string = "_blank"

  - ##### Default value params: object = {}

    - ##### [s: string]: string

  #### Returns Window | null

### parseDateExcel

- parseDateExcel(excelTimestamp: number): any

- Implementation of IHelpers.parseDateExcel

  - Defined in Helpers.ts:291

  #### Parameters

  - ##### excelTimestamp: number

  #### Returns any

### removeEvent

- removeEvent(element: HTMLElement | Document | Window, eventName: string, func: any): void

- Implementation of IHelpers.removeEvent

  - Defined in Helpers.ts:231

  Remove event from element

  #### Parameters

  - ##### element: HTMLElement | Document | Window

  - ##### eventName: string

  - ##### func: any

  #### Returns void

### rgbToHex

- rgbToHex(rgb: string): string

- Implementation of IHelpers.rgbToHex

  - Defined in Helpers.ts:190

  #### Parameters

  - ##### rgb: string

  #### Returns string

### safeTitle

- safeTitle(str: string, replaceWith?: string): string

- - Defined in Helpers.ts:366

  #### Parameters

  - ##### str: string

  - ##### Default value replaceWith: string = "_"

  #### Returns string

### safeXmlChars

- safeXmlChars(str: string): string

- Implementation of IHelpers.safeXmlChars

  - Defined in Helpers.ts:369

  #### Parameters

  - ##### str: string

  #### Returns string

### sentenceCase

- sentenceCase(str: string): string

- Implementation of IHelpers.sentenceCase

  - Defined in Helpers.ts:421

  #### Parameters

  - ##### str: string

  #### Returns string

### serializeObject

- serializeObject(obj: any): string

- Implementation of IHelpers.serializeObject

  - Defined in Helpers.ts:334

  #### Parameters

  - ##### obj: any

  #### Returns string

### tableFromArray

- tableFromArray(arr?: any): string

- Implementation of IHelpers.tableFromArray

  - Defined in Helpers.ts:429

  #### Parameters

  - ##### Default value arr: any = []

  #### Returns string

### toColumnName

- toColumnName(num: number): string

- Implementation of IHelpers.toColumnName

  - Defined in Helpers.ts:112

  #### Parameters

  - ##### num: number

  #### Returns string

### validHex

- validHex(hex: string): boolean

- Implementation of IHelpers.validHex

  - Defined in Helpers.ts:186

  #### Parameters

  - ##### hex: string

  #### Returns boolean

Generated using TypeDoc